.page-col-base-container.col .page-col-gallery {

  .picture-list-item, .small-picture-list, .page-col-base-container {
    flex-direction: row;
  }
}

.page-col-gallery {
  .small-picture-list {
    font-size: 0;
  }

  .picture-with-options {
    display: inline-block;
    vertical-align: top;
    max-width: 100%;
    width: auto;
    height: auto;

    img {
      transition: transform ease-out 0.3s;
    }

    &.selectable {
      cursor: pointer;
    }

    &.selectable:hover img {
      transform: scale(0.95);
    }

    &.selectable:active img {
      transform: scale(0.9);
    }

    &:last-child {
      margin-right: 0;
    }
  }

  .page-col-base-container.small-picture-list {
    font-size: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    flex-direction: row;

    .source-record {
      min-width: 50px;
      margin-bottom: 2px;
    }
  }

  .scrollable {
    overflow: auto;
  }

  .large-picture-list {
    min-height: 100%;

    .picture-with-options {
      margin: $spacer * 0.15;
      height: 100%;
    }

    .swiper-container {
      position: relative;
    }

    .swiper-container,
    .swiper-slide {
      height: 100%;
    }

    .swiper-slide {
      display: -webkit-box;
      display: -ms-flexbox;
      display: -webkit-flex;
      display: flex;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      -webkit-justify-content: center;
      justify-content: center;
      -webkit-box-align: center;
      -ms-flex-align: center;
      -webkit-align-items: center;
      align-items: center;
    }

    .picture-with-options img {
      max-height: 500px;
      width: auto;
      max-width: 100%;
    }
  }

  .gallery-header {
    text-align: left;

    .title {
      font-weight: bold;
      font-size: $font-size-base;
      line-height: 1.3;
      text-align: center;
    }
  }

  .title {
    margin-right: calc(51px + #{$input-btn-padding-x * 2} - #{$btn-line-height}rem - #{$spacer});
  }

  .picture-name {
    p {
      word-wrap: break-word;
      padding: 0;
      margin: 0;
    }

    padding-top: $spacer;
    font-size: $font-size-base;
    font-weight: bold;
    color: #000000;
  }

  .picture-attributions {
    font-size: $font-size-sm;
    color: rgba(#000000, 0.8);
    font-style: italic;
  }

  &-slideshow,
  &-modal.page-col-gallery-slideshow,
  &-picture,
  &-modal.page-col-gallery-picture {
    background-color: #000000;
    z-index: 9999;
    height: 100%;

    .large-picture-list,
    .picture-container {
      height: calc(100% - #{$input-btn-padding-x * 2} - #{$btn-line-height}rem - #{$spacer});
    }

    .btn {
      background-image: none;
    }

    .title {
      color: #ffffff;
    }

    .picture-with-options {
      width: 100%;
      height: 100%;
      max-height: 85%;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      img {
        height: auto;
        width: auto;
        max-height: 85%;
        max-width: 100%;
      }
    }

    .picture-name {
      color: #ffffff;
    }

    .picture-attributions {
      color: rgba(#ffffff, 0.8);
    }
  }

  &-modal {
    transition: all ease-out 0.5s;
    z-index: 9998;
    background-color: $gray-100;
    position: fixed;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 0;
    opacity: 0;

    &.presentable {
      transition: all ease-in 0.5s;
      top: 0;
      opacity: 1;
    }
  }

  .swiper-pagination {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    font-size: 0;
  }

  .swiper-pagination-bullet {
    transition: all ease-in-out 0.5s;
    display: inline-block;
    width: 6px;
    height: 6px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 100%;
    margin: 0 $spacer * 0.25;
    vertical-align: middle;

    &-active {
      background-color: rgba(255, 255, 255, 1);
      width: 8px;
      height: 8px;
    }
  }

  .swiper-button-next {
    right: $spacer;
  }

  .swiper-button-prev {
    left: $spacer;
  }

  .swiper-button-next,
  .swiper-button-prev {
    transition: all ease-out 0.5s;

    position: absolute;
    top: calc(50% - 15px);
    font-size: 10px;
    line-height: 40px;
    width: 40px;
    height: 40px;
    color: #ffffff;
    cursor: pointer;
    z-index: 9999999;
    border-radius: 100%;
    opacity: 1;
    border: 1px solid rgba(#ffffff, 0.5);

    &:hover {
      background-color: rgba(#ffffff, 0.2);
      border: 1px solid rgba(#ffffff, 0.8);
    }

    &:active {
      background-color: rgba(#ffffff, 0.3);
      border: 1px solid rgba(#ffffff, 1);
    }

    &.swiper-button-disabled {
      opacity: 0;
      cursor: inherit;
    }
  }
}
